<template>
  <div id="payment">
    <NavBar />
    <div class="body">
      <div class="content">
        <Transition name="fade">
          <PaymentModal v-if="showModal" @close="closeModal" :detail="detail" />
        </Transition>
        <div class="detail">
          <div class="headline">
            <label>Thanh toán</label>
          </div>
          <div class="section">
            <label>Đóng góp cho hoạt động</label>
            <ActivityListItem style="margin-top:10px" :activity-id="this.$route.params.id" v-model="detail.activity" />
          </div>
          <div class="section">
            <label>Chọn mức mệnh giá</label>
            <DonateRadio style="margin-top:10px" v-model="detail.amount" />
          </div>
          <div class="section">
            <label>Lời nhắn</label>
            <textarea v-model="detail.message" rows="4" class="message text_focus" spellcheck="false"></textarea>
          </div>
          <div class="section">
            <label>Phương thức thanh toán</label>
            <PaymentMethod style="margin-top: 10px" v-model="detail.methods" />
          </div>
          <div class="section">
            <input v-model="agreed" type="checkbox" name="agree" />
            <label for="agree">Tôi hiểu và đồng ý thanh toán</label>
          </div>
          <div class="bottom">
            <button class="pay-btn" @click="openModal">Thanh Toán</button>
          </div>
        </div>
      </div>
      <Footer />
    </div>
  </div>
</template>
  
<script>
import NavBar from '@/components/NavBar.vue';
import Footer from '@/components/Footer.vue';
import ActivityListItem from '@/components/ActivityListItem.vue';
import DonateRadio from '@/components/DonateRadio.vue';
import PaymentMethod from '@/components/PaymentMethod.vue';
import PaymentModal from '@/components/PaymentModal.vue';

export default {
  name: 'Payment-page',
  components: {
    NavBar,
    Footer,
    ActivityListItem,
    DonateRadio,
    PaymentMethod,
    PaymentModal,
  },
  data() {
    return {
      detail: {
        activity: null,
        amount: 20000,
        message: '',
        methods: 'Visa',
      },
      agreed: false,
      showModal: false
    }
  },
  methods: {
    openModal() {
      if(!this.agreed) return
      this.showModal = true
    },
    closeModal() {
      this.showModal = false
    },
  },
}
</script>

<style scoped>
#payment {
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  display: flex;
  flex-direction: column;
}

.fade-enter-from, .fade-leave-to {
  opacity: 0;
}

.fade-enter-active, .fade-leave-active {
  transition: opacity 0.2s ease;
}

.body {
  width: 100%;
  height: 100%;
  display: flex;
  overflow-y: auto;
  flex-direction: column;
}

.content {
  width: 100%;
  margin-top: 10px;
  margin-bottom: 40px;
}

.detail {
  margin: 0 auto;
  max-width: 960px;
  border-radius: 16px;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.headline {
  padding-top: 20px;
  margin: 0px 20px 20px 20px;
  display: flex;
}

.headline>label {
  font-size: 2em;
  margin: 0 auto;
}

.section {
  margin: 10px 10px 20px 10px;
}

.section>label {}

.message {
  margin-top: 10px;
  font-family: 'Roboto', sans-serif;
  outline: 0;
  resize: none;
  width: 100%;
  max-width: 960px;
  padding: 8px;
  -webkit-box-sizing: border-box;
  /* Safari/Chrome, other WebKit */
  -moz-box-sizing: border-box;
  /* Firefox, other Gecko */
  box-sizing: border-box;
  border-radius: 4px;
  border: 1px solid #ccc;
  font-size: 16px;
}

.bottom {
  padding-bottom: 20px;
  margin: 20px 20px 0px 20px;
  display: flex;
  justify-content: center;
}

.pay-btn {
  padding: 10px 20px;
  border: none;
  background-color: #2196F3;
  font-weight: bold;
  color: white;
  border-radius: 6px;
}

.pay-btn:hover {
  cursor: pointer;
  background-color: #197bcb;
}
</style>